xcb_input_grab_device_key(3)

NAME
xcb_input_grab_device_key -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_grab_device_key(xcb_connection_t *conn, xcb_window_t grab_window, uint16_t num_classes, uint16_t modifiers, uint8_t modifier_device, uint8_t grabbed_device, uint8_t key, uint8_t this_device_mode, uint8_t other_device_mode, uint8_t owner_events, const xcb_input_event_class_t *classes);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

grab_window
    TODO: NOT YET DOCUMENTED.

num_classes
    TODO: NOT YET DOCUMENTED.

modifiers
    TODO: NOT YET DOCUMENTED.

modifier_device
    TODO: NOT YET DOCUMENTED.

grabbed_device
    TODO: NOT YET DOCUMENTED.

key TODO: NOT YET DOCUMENTED.

this_device_mode
    TODO: NOT YET DOCUMENTED.

other_device_mode
    TODO: NOT YET DOCUMENTED.

owner_events
    TODO: NOT YET DOCUMENTED.

classes
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_input_grab_device_key_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.